### Hierarchy

- GetPropertiesParameterType

## Index

### Properties

- accessorPropertiesOnly
- generatePreview
- objectId
- ownProperties

## Properties

### Optional accessorPropertiesOnly

accessorPropertiesOnly: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1641

If true, returns accessor properties (with getter/setter) only; internal properties are not returned either.

experimental

### Optional generatePreview

generatePreview: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1646

Whether preview should be generated for the results.

experimental

### objectId

objectId: RemoteObjectId

- Defined in node_modules/@types/node/inspector.d.ts:1630

Identifier of the object to return properties for.

### Optional ownProperties

ownProperties: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1635

If true, returns properties belonging only to the element itself, not to its prototype chain.

Generated using TypeDoc